body{
    font-family: "helvetica neue", helvetica, sans-serif!important;
}

html {
    overflow-x: hidden;
    scroll-behavior: smooth !important;
    font-family: "helvetica neue", helvetica, sans-serif!important;
}

footer {
    background-color: #f8f9fa;
}

body.dark footer {
    background-color: #333;
    color: #d4d4d4;
}
.theme-checkbox {
    --toggle-size: 16px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 4.25em;
    height: 2.125em;
    background: -webkit-gradient(linear, left top, right top, color-stop(50%, #efefef), color-stop(50%, #2a2a2a)) no-repeat;
    background: -o-linear-gradient(left, #efefef 50%, #2a2a2a 50%) no-repeat;
    background: linear-gradient(to right, #efefef 50%, #2a2a2a 50%) no-repeat;
    background-size: 205%;
    background-position: 0;
    -webkit-transition: 0.4s;
    -o-transition: 0.4s;
    transition: 0.4s;
    border-radius: 99em;
    position: relative;
    cursor: pointer;
    font-size: var(--toggle-size);
}
.hidden-label {
    display: none;
}

.nowplaying{
    font-size: 18px; color: rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important;
}
.artisturl{
    font-size: 16px; font-style: italic; margin-top: -10px; color: rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important;
}
.requestbutton{
    font-size: 16px!important; z-index: 1;
}
.requestbox{
    margin-right: 50px; margin-left: 50px;
}
.menulogo{
    padding-left: 20px; padding-right: 20px; width: 130px;
}

.theme-checkbox::before {
    content: "";
    width: 1.25em;
    height: 1.25em;
    position: absolute;
    top: 0.438em;
    left: 0.438em;
    background: -webkit-gradient(linear, left top, right top, color-stop(50%, #efefef), color-stop(50%, #2a2a2a)) no-repeat;
    background: -o-linear-gradient(left, #efefef 50%, #2a2a2a 50%) no-repeat;
    background: linear-gradient(to right, #efefef 50%, #2a2a2a 50%) no-repeat;
    background-size: 205%;
    background-position: 100%;
    border-radius: 50%;
    -webkit-transition: 0.4s;
    -o-transition: 0.4s;
    transition: 0.4s;
}

.theme-checkbox:checked::before {
    left: calc(100% - 1.25em - 0.438em);
    background-position: 0;
}

.theme-checkbox:checked {
    background-position: 100%;
}
body .card-title {
    color: #2C2F33;

}
body.dark .blog-txt {
    background-color: #2C2F33;
}
body.dark .card-title {
    color:#f2f2f2;
}
body.dark label {
    color: #2C2F33;
}
body.dark .form-check label {
    color: #f2f2f2;
}
footer .nav-link {
    color: #6c757d!important;
}
body.dark .modal-content {
    background: #333;
}
body.dark footer .nav-link {
    color: #d4d4d4!important;
}

body.dark .nav-buttons {
    background-color: #333;
    color: #fff;
}
body.dark .text-black {
    color: #f2f2f2 !important;
}
body.dark #account-button {
    color:#fff !important;
}
footer .license {
    color: #6c757d!important;
}

body.dark footer .license{
    color: #d4d4d4 !important;
}

body.dark .text-dark {
    color: #f2f2f2 !important;
}

body .premium ul {
    color: #212529;
}

body.dark .premium ul {
    color: #f2f2f2 !important;
}
body .premium-plus ul {
    color: #212529;
}

body.dark .premium-plus ul {
    color: #f2f2f2 !important;
}
body .top-20-submit {
    color: #212529 !important;
}
body.dark .top-20-submit {
    background: #333;
    color: #f2f2f2 !important;
    border: 1px solid white;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #f5f5f5;
}

::-webkit-scrollbar {
    width: 6px;
    background-color: #a10d59;
}

::-webkit-scrollbar-thumb {
    background-color: #a10d59;
}

body {
    background-color: #f2f2f2;
}

body.dark {
    background-color: #333;
    color: white !important;
}
body.dark .card-body {
    color:#f2f2f2;
}

.main {
    z-index: 1;
}

#PlayerControl {
    cursor: pointer;
}

.zone:hover .fa-pause {
    opacity: 100 !important;
}

.nav-link{
    cursor: pointer;
}

.mooiditisklikbaarjoh{
    cursor: pointer;
}

.img-center {
    display: flex !important;
    margin-left: auto !important;
    margin-right: auto !important;
}

.volume-control{
    width: 140px;
}

/*            Fonts           */
@import url("https://fonts.googleapis.com/css2?family=Secular+One&amp;display=swap");
#headliner {
    border: 8px solid #6e8fff;
}

.navbar {
    font-family: "helvetica neue", helvetica, sans-serif!important;
    font-weight: 600;
    font-size: 20px;
    background: #f8f9fa;
}

body.dark .navbar {
    background: #333;
}

body.dark .navbar .nav-link {
    color: #d4d4d4;
}

.navbar-nav {
    display: flex;
    align-items: center;
    justify-content: center;
}

.navbar-nav .btn {
    display: flex;
    align-items: center;
    justify-content: center;
}

#nav-logo {
    max-width: 100px;
}

.navbar-nav>li {
    padding-left: 10px;
    padding-right: 10px;
}
.sidenav {
    width: 340px;
    height: 93vh;
    position: fixed;
    z-index: 1;
    top: 90px;
    background: #f8f9fa;
    overflow-x: hidden;
    padding-top: 30px;
}

body.dark .sidenav {
    color: #d4d4d4 !important;
    background: #444;
}

.sidenav a {
    padding: 6px 8px 6px 16px;
    text-decoration: none;
    font-size: 25px;
    color: #2196f3;
    display: block;
}

.sidenav .card-text {
    color: #3f3f3f;
}

body.dark .sidenav .card-text {
    color: #d4d4d4;
}
.sidenav .uitzending-card {
    background-color: rgba(225,224,224,.7);
}
body.dark .sidenav .uitzending-card {
    color: #d4d4d4 !important;
    background-color: rgba(72, 72, 72, 0.7);
}


.img-container {
    position: relative;
    text-align: center;
}

.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.centered-mobile-play {
    position: absolute;
    right: 4%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.albumArt {
    width: 170px;
    height: 170px;
    border-radius: 35px;
    border: 4px solid white;
    background-position: center;
    background-size: 150px;
    background-repeat: no-repeat;
}

.circle-1 {
    border-radius: 50%;
    width: 200px;
    height: 250px;
    background-color: darkgreen;
    position: absolute;
    right: -120px;
    top: 35vh;
    background-color: #dedb00;
    z-index: -1;
}

.circle-2 {
    border-radius: 50%;
    width: 200px;
    height: 200px;
    background-color: darkgreen;
    position: fixed;
    left: -100px;
    bottom: -100px;
    background-color: #a10d59;
    z-index: -1000;
}

.circle-3 {
    border-radius: 50%;
    width: 200px;
    height: 250px;
    background-color: darkgreen;
    position: fixed;
    top: -90px;
    left: -120px;
    background-color: #a10d59;
    z-index: -1;
}

#song {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#artist {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#uitzending-card {
    border-radius: 10px;
    border: none;
    background-color: rgba(225, 224, 224, 0.7) !important;
}

.uitzending-card-tijd {
    font-size: 15px;
}

.avatar {
    /* max-width: auto; */
    width: 120px;
    height: 120px;
}
.blog-line {
    border: 2px solid #a10d59;
    width: 90px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.blog-post {
    width: -moz-fit-content;
    width: fit-content;
    transition: 0.5s;
}

.blog-post img {
    border-radius: 10px;
}

.image-text {
    position: relative;
}

.blog-txt {
    position: absolute;
    bottom: 10px;
    background-color: white;
    padding: 5px;
    padding-bottom: 7px;
    border-bottom: 5px solid #a10d59;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    font-size: 16px;
}

.blog-post:hover {transform: translateY(-5px);
}

.blog {
    z-index: 0;
}

.line {
    border: 2px solid #a10d59;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.rtp-border {
    border-top-right-radius: 10px;
    border-top-left-radius: 10px !important;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.rtp-line {
    border: 2px solid #a10d59;
    width: 290px;
    margin-top: 5px;
    margin-bottom: 5px;
}
.carocel-max {
    max-height: 480px!important;
}
.djs-background{
    background-color: #94920b !important;
}

.rtp-line-center {
    border: 2px solid #a10d59;
    width: 250px;
    margin-top: 5px;
    margin-bottom: 5px;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
}

.info-age{
    color: gray; font-size: 50px!important;
}
.info-age2{
    margin-top: -20px; margin-bottom: -20px
}
.logo-1{
    width: auto; height: 130px!important;
}

.rtp-title {
    margin-bottom: 5px;
}

.prog-txt {
    position: absolute;
    bottom: 10px;
    background-color: white;
    padding: 5px;
    border-bottom: 5px solid #a10d59;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    font-size: 20px;
}

.mobile-bottom-nav {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    margin-right: 80px;
    margin-left: 80px;
    margin-bottom: 20px;
    z-index: 1000;
    will-change: transform;
    transform: translateZ(0);
    display: flex;
    height: 80px;
    box-shadow: 0 4px 4px -2px #333;
    background-color: #fff;
    border-radius: 10px;
}

.mobile-bottom-nav__item {
    flex-grow: 1;
    text-align: center;
    font-size: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.mobile-bottom-nav__item--active {
    color: red;
}

.mobile-bottom-nav__item-content {
    display: flex;
    flex-direction: column;
    font-size: 15px;
}

.AlbumArtMobile {
    height: 80px;
    width: 80px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

#PlayerLoad {
    font-size: 2.5em;
}

.playbutton{
    color: #000000!important
}
.playbutton::before{
    color: #000000!important
}

@media only screen and (min-width: 990px) {
    .main {
        margin-left: 340px;
        margin-top: 75px;
    }

    .mobile {
        display: none;
    }

    .phone-player {
        display: none;
    }

    #banner-pc {
        padding-left: 50px;
        padding-right: 50px;
    }

    #banner-slide-pc {
        margin-right: 50px;
        margin-left: 50px;
        z-index: -2;
    }
}

@media only screen and (max-width: 990px) {
    .main {
        margin-left: 0px;
        margin-top: 110px;
    }

    .desktop {
        display: none;
    }

    .fixed-top {
        z-index: 1 !important;
    }

    .phone-player {
        display: initial;
    }

    #top20-art {
        margin-top: 20px;
        width: 200px !important;
        margin-right: auto;
        margin-left: auto;
        display: flex;
    }

    #top20-center-mobile {
        text-align: center;
    }
}

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

    .sidenav a {
        font-size: 18px;
    }
}
.nav-buttons {
    background-color: #ffff;
    margin-top: -10px;
}

#account-button {
    align-items: center;
    justify-content: space-between;
    padding: 0 3px;
    font-size: 20px;
    font-weight: 600;
    color: black;
    white-space: nowrap;
    transition: 0.3s;
    position: relative;

    text-decoration: none;
    background: transparent;
    border: none;
}

#account-button:before {
    content: "";
    position: absolute;
    height: 3px;
    bottom: -6px;
    left: 0;
    background-color: black;
    visibility: visible;
    width: 0%;
    transition: all 0.3s ease-in-out 0s;
}

#account-button:hover:before,
#account-button .active:before {
    visibility: visible;
    width: 100%;
}


.col-lg-4 {
    display: inline-block;
}

.first-card {
    background: url('../images/background2.png');
    background-repeat: no-repeat;
    background-size: cover;
}

.second-card {

    background: url('../images/background.png');
    background-repeat: no-repeat;
    background-size: cover;
}

.second-card,
.first-card {
    border: none;
    color: white;
    box-shadow: 0 4px 18px -3px #222;
    transition: transform 0.3s ease;
}

.second-card:hover,
.first-card:hover {

    transform: translateY(-10px);
}

.card i {
    color: white;
}

.link-discord a {
    text-decoration: none;
}

.field {
    display: flex;
    justify-content: center;
    /* Aligns content horizontally */
    align-items: center;
    /* Aligns content vertically */
}

.modal-body .field {
    display: block;
    justify-content: left;
    /* Aligns content horizontally */
    align-items: baseline;
}

.modal-body .field label {
    text-align: left;
    ;
}

.top-20 .btn {
    font-size: 20px;
    line-height: 28px;
    padding: 8px 16px;
    width: 40%;
    min-height: 54px;
    border: unset;
    border-radius: 4px;
    background-color: rgb(255, 255, 255);
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(60, 66, 87, 0.16) 0px 0px 0px 1px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px;
}

.top-20 input {
    font-size: 16px;
    line-height: 28px;
    width: 100%;
    min-height: 44px;
    border: unset;
    border-radius: 4px;
    background-color: rgb(255, 255, 255);
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(60, 66, 87, 0.16) 0px 0px 0px 1px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px;
}

.top-20 .submit {
    background-color: 000000;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(66, 66, 87, 0.16) 0px 0px 0px 1px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px,
        rgba(0, 0, 0, 0) 0px 0px 0px 0px;
    color: #fff;
    font-weight: 600;
    cursor: pointer;
}

body.dark .card {
    background: #333;
}

body.dark .divider {
    background: #333;
}